Bug 68645 - Qlogic 2200 driver doesn't work with Brocade switch
Qlogic 2200 driver doesn't work with Brocade switch
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-11 20:04 EDT by Charles Hood
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-16 14:05:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Hood 2002-07-11 20:04:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Qlogic 2200 driver is loop only, and does not work with fabric switches.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Setup Qlogic 2200 to enable BIOS for boot to SAN
2. Run fibre cables through a fabric switch
3. Attempt to load Advanced Server to LUN 0 on SAN
	

Actual Results:  Advanced Server fails to see a LUN to install to

Expected Results:  Advanced Server should have installed to LUN 0 on SAN

Additional info:

This procedures works fine with RedHat 7.2.  The QL2x00 driver that is 
included with RedHat 7.2 will login to the switch as an FL port.  RedHat 7.2 
can be installed to LUN 0 on the SAN with no problem.  However, the QL2200 
driver included with Advanced Server trys to login to the switch as an L 
port.  Therefore, Advanced Server cannot be installed to LUN 0 on a SAN.
Comment 1 Tom Coughlan 2002-07-17 17:41:36 EDT
There is a bug in the current driver that is almost certainly the cause of this.

The fixed driver is available in an Advanced Server kernel errata:
http://rhn.redhat.com/errata/RHSA-2002-128.html

Unfortunately, this errata will not help you to do an installation with the
current AS CDs. To address that, I will need to give you a Device Driver Update
Disk.

There may be a simpler workaround, though, if you are willing to try it. There
is a topology parameter that you can set to "fabric" in the qLogic BIOS utility,
as follows:

Press ALT-Q during self test. Under "Configuration settings", "Extended Firmware
settings", "Connection Options" there are 4 choices.  Set it to "Fabric only". 
Then try the install.  Let me know if this works.

I will send you a driver update disk if you need it, just let me know.



Note You need to log in before you can comment on or make changes to this bug.